import React, { Dispatch, SetStateAction } from "react";
declare type authTokenType = string | undefined | null;
interface ContextProps {
    authToken: authTokenType;
    setAuthToken: Dispatch<SetStateAction<authTokenType>>;
}
export declare const AuthContextProvider: React.Provider<ContextProps | null>;
export declare const AuthContextConsumer: React.Consumer<ContextProps | null>;
export declare const AuthContext: React.Context<ContextProps | null>;
export {};
